const mongoose = require("mongoose");

const meetingSchema = new mongoose.Schema({
  program: String,
  department: String,
  subject: String,
  body: String,
  agenda: [String],
  date: String,
  startTime: String,
  endTime: String,
  recipients: [String],
  attachments: [{ filename: String, path: String }],
  isDeleted: {
    type: Boolean,
    default: false
  }
});

module.exports = mongoose.model("Meeting", meetingSchema);
